
;	     Ŀ
;	     	VME IF-Transitional/IOPL-Sensitive Instructions  
;	     

comment %
     ͸
     3322222222221111111 111          
     1098765432109876543 2109876543210
     Ĵ
                        I             
     0000000000IVVAVR0N O ODITSZ0A0P1C
               DIICMF T P FFFFFF F F F
                PF      L             
     

These instructions will cause a GPF if VIP is set when IOPL<3:

    STI
    POPF*
    IRETW*

    * Will cause a GPF if TF would be set.

These instructions unconditionally cause a GPF when IOPL<3 in EV86-mode.

    PUSHFD
    POPFD
    IRETD

Procedures expect:

 GS:ESI = V86 CS:IP
 GS:EBP = V86 SS:SP
 GS	= linear address of V86 task address space.

%

;===============

V86_GPF_Handler_CLI:
V86_GPF_Handler_STI:
V86_GPF_Handler_PUSHF:
V86_GPF_Handler_POPF:
V86_GPF_Handler_INT_imm8:
V86_GPF_Handler_IRETW:

;-------------------------------------------------------------------------------
;These instructions should not cause a GPF since this monitor does not set VIP,
;for the interrupt bitmap contains zeros for INT imm8 to select 8086 interrupt
;semantics.
;-------------------------------------------------------------------------------

		jmp	Scheduler_EndV86Task

;===============

V86_GPF_Handler_PUSHFD:
V86_GPF_Handler_POPFD:
V86_GPF_Handler_IRETD:
V86_GPF_Handler_INT1:
V86_GPF_Handler_INT3:
V86_GPF_Handler_INTO:
V86_GPF_Handler_BOUND:

;-------------------------------------------------------------------------------
;Unimplemented in public domain version.
;-------------------------------------------------------------------------------

		jmp	Scheduler_ExitV86Mon_UnexpectedError

;===============
